He instalado ventana acoplable en windows 10 pro.Estoy frente a un problema mientras se ejecuta el siguiente comando en git bash.

ventana acoplable-componer up-d –construir

y consiguió siguiente error.

E: gnupg, gnupg2 and gnupg1 do not seem to be installed, but one of them is required for this operation
(23) Failed writing body
Error executing command, exiting
ERROR: Service 'web' failed to build: The command '/bin/sh -c curl -sL https://deb.nodesource.com/setup_8.x | bash' returned a non-zero code: 1

Cualquier ayuda es muy apreciada. Gracias de antemano.

  • Por favor, considere la posibilidad de marcar esta pregunta como respondida.

4 Comentarios

  1. 52

    En su Dockerfile, ejecutar este primer:

    RUN apt-get update && apt-get install -y gnupg2
    
    • se necesita un -y en el comando de instalación, pero trabajado de otro modo
  2. 32

    Me enfrentamos al mismo problema:

    E: gnupg, gnupg2 y gnupg1 no parecen ser instalado, pero uno de ellos es necesario para esta operación

    Me resuelve mediante el uso de los siguientes comandos:

    apt-get update
    apt-get install gnupg
    
    • Sólo una nota para alguien nuevo a la ventana acoplable, agregar esto a su ventana acoplable archivo, no instalar gnupg en el pc del servidor
  3. 29

    Además de los ya existentes respuestas:

    RUN apt-get update && apt-get install -y gnupg
    

    -y bandera acepta los términos durante el proceso de instalación. Es importante no romper la acumulación

    • +1 para el siguiente las mejores prácticas :: Siempre se combinan EJECUTAR apt-get update con apt-get install en la misma instrucción de EJECUTAR.
  4. 1

    Tengo debian 9, y para solucionar esto he utilizado la nueva biblioteca de la siguiente manera:

    ln -s /usr/bin/gpgv /usr/bin/gnupg2
    

Dejar respuesta

Please enter your comment!
Please enter your name here